using System.Data.SqlClient;

namespace ExportFaktur {


    partial class EXPODataSet
    {
       public decimal sumaNETTO()
        {
            return (decimal)this.FAKTURA_DETAILS.Compute("Sum(netto)", "1=1");
        }

        public decimal stawkaVAT()
        {
            FAKTURA_DETAILSRow row = (FAKTURA_DETAILSRow)this.FAKTURA_DETAILS.Rows[0];
            return (decimal)row.S_VAT;
        }

        public decimal rabatProcent()
        {
            FAKTURA_DETAILSRow row = (FAKTURA_DETAILSRow)this.FAKTURA_DETAILS.Rows[0];
            return (decimal)row.UPUST_PR;
        }
    }

}

namespace ExportFaktur.EXPODataSetTableAdapters
{
    partial class FAKTURYTableAdapter
    {
        public void AttachTransaction(SqlTransaction transaction)
        {
            this.Adapter.InsertCommand.Transaction = transaction;
            this.Adapter.UpdateCommand.Transaction = transaction;
            this.Adapter.DeleteCommand.Transaction = transaction;
        }
    }
}